
package com.kingdee.eas.custom.handover.web;

import org.operamasks.faces.annotation.ManagedBean;
import org.operamasks.faces.annotation.ManagedBeanScope;

import com.kingdee.bos.util.BOSUuid;

import com.kingdee.bos.waf.winlet.edit.BillEntryBean;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.handover.WorkHandoverEntryInfo;

public abstract class AbstractWorkHandoverEntryBean extends BillEntryBean {
	@Override
	public CoreBaseInfo createNewEntry() {
		WorkHandoverEntryInfo info = new WorkHandoverEntryInfo();
		info.setId(BOSUuid.create(info.getBOSType()));
		return info;
	}
}

